from enum import IntEnum


# import logging
# import os.path
# import yaml
# import numpy as np

# -----------------------------------------------------------------------------------------------------------------------
#           TrafficLight
#   A simple enumeration that maps a traffic light color to a display icon.
# -----------------------------------------------------------------------------------------------------------------------

class TrafficLight(IntEnum):
    """
    A small enumeration to hold  the state of the GUI of the traffic light statuses.
    Some code may rely upon the ordering so dont change the numerical ordering. The code relies upon the fact that more severe errors
    have a bigger number than less severe errors.
    """

    Undefined = 0  #
    Green = 1  #
    Blue = 2
    Green_Orange = 3  #
    Orange = 4  #
    Red = 5  #
